#include <iostream>
using namespace std;

typedef struct date {
 unsigned short int year :7;
 unsigned short int month :4;
 unsigned short int day :5;
};

unsigned short int date_to_int (date d) {
 return ((d.year<<9)|(d.month<<5)|(d.day&0x001F));
}

date int_to_date (unsigned short int n) {
 date d;
 d.year=(n&0xFE00)>>9;
 d.month=(n&0x01E0)>>5;
 d.day=n&0x001F;
 return d;
}

void main () {
 date d = { 2013-1970, 12, 31 };
 cout << "\n" << date_to_int(d);
 d=int_to_date (22431);
 cout << "\n" << d.day << "." << d.month << "." << d.year+1970;
 cin.get();
}